package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.SortOrder

class MovimentiRepositoryImpl : MovimentiRepository {
    override suspend fun movimentiByIdTessera(idTessera : Long): List<Movimenti> = suspendTransaction {
        // Cerca la lista di movimenti
        MovimentiDao.find { MovimentiTable.idTessera eq idTessera }
            .orderBy(MovimentiTable.dataMovimento to SortOrder.DESC)
            .toList() // Restituisce la lista dei movimenti
            .map { movimentiDaoToModel(it) } // Converte il DAO in un oggetto Movimenti

    }
}