package eu.maiora.model

import eu.maiora.db.*

class TessereRepositoryImpl : TessereRepository {
    override suspend fun tesseraByCodiceFiscale(cf: String): Tessere? = suspendTransaction {
        // Cerca tessere in base al codice fiscale
        TessereDao.find { TessereTable.codiceFiscale eq cf }
            .singleOrNull() // Restituisce un singolo risultato o null se non trovato
            ?.let { tessereDaoToModel(it) } // Converte il DAO in un oggetto Tessere

    }
}