package eu.maiora.plugins

import eu.maiora.model.*
import eu.maiora.routes.*
import io.ktor.server.application.*
import io.ktor.server.response.*
import io.ktor.server.routing.*

fun Application.configureRouting() {
    routing {
        get("/") {
            call.respondText("Hello World!")
        }

        auth(AccountsRepositoryImpl())
        tessere(TessereRepositoryImpl())
        movimenti(MovimentiRepositoryImpl())
        composizioni(ComposizioniRepositoryImpl())
        valorePasti(ValorePastiRepositoryImpl())
        ricariche(RicaricheRepositoryImpl())
        puntiDistribuzione(PuntiDistribuzioneRepositoryImpl())
        slotOrari(SlotOrariRepositoryImpl())
        prodottiPrenotabili(ProdottiPrenotabiliRepositoryImpl())
        residenze(ResidenzeRepositoryImpl())
        prenotazioni(PrenotazioniPastiRepositoryImpl(), SlotOrariRepositoryImpl(), PrenotazioniPastiDettaglioRepositoryImpl())
        annullaPrenotazioni(ViewPrenotazioniPastiRepositoryImpl(), PrenotazioniPastiDettaglioRepositoryImpl())
    }
}
